public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pypy3_10-exe/
Date: Thu, 06 Feb 2025 21:04:17 +0000 (UTC)	[thread overview]
Message-ID: <1738875853.393ed45477a4e29af0f32a727d1a358fa834d70e.mgorny@gentoo> (raw)

commit:     393ed45477a4e29af0f32a727d1a358fa834d70e
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Feb  6 18:41:41 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Feb  6 21:04:13 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=393ed454

dev-python/pypy3_10-exe: Bump to 7.3.18

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pypy3_10-exe/Manifest                   |   2 +
 dev-python/pypy3_10-exe/pypy3_10-exe-7.3.18.ebuild | 139 +++++++++++++++++++++
 2 files changed, 141 insertions(+)

diff --git a/dev-python/pypy3_10-exe/Manifest b/dev-python/pypy3_10-exe/Manifest
index 30cc28fd6cdc..f57838c02020 100644
--- a/dev-python/pypy3_10-exe/Manifest
+++ b/dev-python/pypy3_10-exe/Manifest
@@ -1,2 +1,4 @@
 DIST pypy3.10-gentoo-patches-7.3.17.tar.xz 10340 BLAKE2B a9d7dc6a578dc50339574b2fcfff19e390293adfc8412592e4683fdd3ff415ed8da3ff809b00037659a6e218dc0b26efead7a2ae3c54b2c3487222144d5d9633 SHA512 b192685cc100cfb723492d29e89a522bb4ff041c78cbdfd170414e19713cf2a21c39ab8d4e1e9ca47da2559b2fed6df14f1122f96bc50dd117550c357046889a
+DIST pypy3.10-gentoo-patches-7.3.18.tar.xz 5640 BLAKE2B 938dc950286ee4e1862daa3631ed13cb974be6c83cc928db7ee45b2951097f9640d75a5f6b0926ece7837bbef75ee9f350884902d2a489f68e6940f8500169c8 SHA512 9267aae94b73576c4e962be95d284d8bb03c55da82367bdcd41a46bfc418956d54939af1809404b37ea8ea69e3724aeed22bf536ebbed3f3a0a3d86abf6b61e2
 DIST pypy3.10-v7.3.17-src.tar.bz2 23350562 BLAKE2B 0a7a091976b352de61057f238fa386f767dd4d2fbcdcc0b4376066c20c2ad35d3818fa6e9e163ab5fd341856802e8ad1e2891decf5948c13cdb26726cd42019e SHA512 46e30845bbc73cf56f5033a24d3583253ce198522f3a28ae4e789884063ba167d401fc08ae7fc8c7769feed9cd942a8ab38961c8b8794d7fae8f9955479faa96
+DIST pypy3.10-v7.3.18-src.tar.bz2 24535433 BLAKE2B 2e5ab213db5cd118076fa3b0bd601818a2a4973134b78ce28056182d635b91719159e6be47cd596407b7cc545b0be957db21322dde0fbba1b1d167e5c6cd80c4 SHA512 8eb3bd618d04f4529b5869549c9208bfe465b5aae6240abe8b252681c16b44ba3d1b2c77ea4dc607a8738479c47e4a1c92f3ead7705b476167790b33c85a3b0f

diff --git a/dev-python/pypy3_10-exe/pypy3_10-exe-7.3.18.ebuild b/dev-python/pypy3_10-exe/pypy3_10-exe-7.3.18.ebuild
new file mode 100644
index 000000000000..7cb87b34931f
--- /dev/null
+++ b/dev-python/pypy3_10-exe/pypy3_10-exe-7.3.18.ebuild
@@ -0,0 +1,139 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit check-reqs flag-o-matic pax-utils toolchain-funcs
+
+PYPY_PV=${PV%_p*}
+PYVER=3.10
+MY_P="pypy${PYVER}-v${PYPY_PV/_}"
+PATCHSET="pypy${PYVER}-gentoo-patches-${PV}"
+
+DESCRIPTION="PyPy3.10 executable (build from source)"
+HOMEPAGE="
+	https://pypy.org/
+	https://github.com/pypy/pypy/
+"
+SRC_URI="
+	https://downloads.python.org/pypy/${MY_P}-src.tar.bz2
+	https://buildbot.pypy.org/pypy/${MY_P}-src.tar.bz2
+	https://dev.gentoo.org/~mgorny/dist/python/${PATCHSET}.tar.xz
+"
+S="${WORKDIR}/${MY_P}-src"
+
+LICENSE="MIT"
+SLOT="${PYPY_PV}"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="+jit low-memory ncurses cpu_flags_x86_sse2"
+
+RDEPEND="
+	app-arch/bzip2:0=
+	dev-libs/expat:0=
+	dev-libs/libffi:0=
+	>=sys-libs/zlib-1.1.3:0=
+	virtual/libintl:0=
+	ncurses? ( sys-libs/ncurses:0= )
+	!dev-python/pypy3_10-exe-bin:${SLOT}
+"
+DEPEND="
+	${RDEPEND}
+"
+BDEPEND="
+	|| (
+		dev-lang/pypy:2.7
+		dev-python/pypy
+	)
+	virtual/pkgconfig
+"
+
+check_env() {
+	if use low-memory; then
+		CHECKREQS_MEMORY="1750M"
+		use amd64 && CHECKREQS_MEMORY="3500M"
+	else
+		CHECKREQS_MEMORY="3G"
+		use amd64 && CHECKREQS_MEMORY="6G"
+	fi
+
+	check-reqs_pkg_pretend
+}
+
+pkg_pretend() {
+	[[ ${MERGE_TYPE} != binary ]] && check_env
+}
+
+pkg_setup() {
+	[[ ${MERGE_TYPE} != binary ]] && check_env
+}
+
+src_prepare() {
+	local PATCHES=(
+		"${WORKDIR}/${PATCHSET}"
+	)
+	default
+}
+
+src_configure() {
+	tc-export CC
+
+	# Yes, yuck, but it's being worked on upstream (bug #918971).
+	# https://foss.heptapod.net/pypy/pypy/-/issues/4042
+	append-flags $(test-flags-CC -Wno-error=incompatible-pointer-types)
+
+	local jit_backend
+	if use jit; then
+		jit_backend='--jit-backend='
+
+		# We only need the explicit sse2 switch for x86.
+		# On other arches we can rely on autodetection which uses
+		# compiler macros. Plus, --jit-backend= doesn't accept all
+		# the modern values...
+
+		if use x86; then
+			if use cpu_flags_x86_sse2; then
+				jit_backend+=x86
+			else
+				jit_backend+=x86-without-sse2
+			fi
+		else
+			jit_backend+=auto
+		fi
+	fi
+
+	local args=(
+		--no-shared
+		$(usex jit -Ojit -O2)
+
+		${jit_backend}
+
+		pypy/goal/targetpypystandalone
+		--withmod-bz2
+		$(usex ncurses --with{,out}mod-_minimal_curses)
+	)
+
+	local interp=( pypy )
+	if use low-memory; then
+		local -x PYPY_GC_MAX_DELTA=200MB
+		interp+=( --jit loop_longevity=300 )
+	fi
+
+	# translate into the C sources
+	# we're going to build them ourselves since otherwise pypy does not
+	# free up the unneeded memory before spawning the compiler
+	set -- "${interp[@]}" rpython/bin/rpython --batch --source "${args[@]}"
+	echo -e "\033[1m${@}\033[0m"
+	"${@}" || die "translation failed"
+}
+
+src_compile() {
+	emake -C "${T}"/usession*-0/testing_1
+}
+
+src_install() {
+	cd "${T}"/usession*-0 || die
+	newbin "testing_1/pypy${PYVER}-c" "pypy${PYVER}-c-${PYPY_PV}"
+	insinto "/usr/include/pypy${PYVER}/${PYPY_PV}"
+	doins *.h
+	pax-mark m "${ED}/usr/bin/pypy${PYVER}-c-${PYPY_PV}"
+}


             reply	other threads:[~2025-02-06 21:04 UTC|newest]

Thread overview: 43+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2025-02-06 21:04 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-15 15:10 [gentoo-commits] repo/gentoo:master commit in: dev-python/pypy3_10-exe/ Michał Górny
2025-03-15 13:36 Arthur Zamarin
2025-03-15 13:16 Arthur Zamarin
2025-03-01  7:11 Michał Górny
2025-02-26 17:22 Michał Górny
2025-02-12 18:37 Michał Górny
2025-02-07 19:14 Michał Górny
2024-10-21 15:12 Michał Górny
2024-10-12  9:47 Michał Górny
2024-09-15 15:04 Michał Górny
2024-09-15 15:04 Michał Górny
2024-08-29 16:29 Michał Górny
2024-04-25  3:39 Michał Górny
2024-04-24 17:16 Sam James
2024-04-24 17:16 Sam James
2024-04-24 15:08 Michał Górny
2024-02-03 15:02 Michał Górny
2024-02-03 14:03 Arthur Zamarin
2024-02-03 13:52 Sam James
2024-01-21  6:21 Michał Górny
2024-01-21  4:29 Sam James
2024-01-21  2:44 Sam James
2024-01-15 21:24 Michał Górny
2024-01-03 19:49 Michał Górny
2023-12-25 20:26 Michał Górny
2023-12-15 16:19 Michał Górny
2023-12-15 15:50 Arthur Zamarin
2023-12-15 11:36 Arthur Zamarin
2023-12-08  7:44 Sam James
2023-12-08  5:17 Michał Górny
2023-12-01 21:58 Michał Górny
2023-11-22  7:49 Michał Górny
2023-11-21 19:05 Michał Górny
2023-11-02 12:58 Michał Górny
2023-09-30  8:27 Michał Górny
2023-08-24 12:47 Michał Górny
2023-07-21 12:46 Michał Górny
2023-07-15 18:02 Arthur Zamarin
2023-07-11  8:43 Jakov Smolić
2023-06-19  5:14 Michał Górny
2023-06-16 17:03 Michał Górny
2023-05-31 11:42 Michał Górny

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1738875853.393ed45477a4e29af0f32a727d1a358fa834d70e.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox